unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, ExtCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    Image1: TImage;
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation
uses FPimage,FPCanvas,FPImgCanv,ftfont,IntfGraphics, GraphType;
{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
var
  image:TLazIntfImage;
  c:TFPImageCanvas;
  RawImage: TRawImageDescription;
  AFont:TFreeTypeFont;
begin
   SetMultiByteConversionCodePage(CP_UTF8);
   ftfont.InitEngine;
   FontMgr.SearchPath:='/usr/share/fonts/truetype/liberation/';
   AFont:=TFreeTypeFont.Create;
   AFont.Name:='LiberationSans-Regular';
   image:=TLazIntfImage.Create(0,0);
   RawImage.Init_BPP32_A8R8G8B8_BIO_TTB(250,25);
   image.DataDescription:=RawImage;
   c:=TFPImageCanvas.create(image);
   c.Brush.FPColor:=FPColor($FFFF,$FfFF,$FFFF,$FFFF);
   c.FillRect(0,0,250,25);
   c.Pen.FPColor:=FPColor($0,$0,$0,$FFFF);
   c.Font:=AFont;
   c.Font.Size:=9;
   c.TextOut(5,14,'Test Тест');
   Image1.Picture.Assign(image);
   FreeAndNil(c);
   FreeAndNil(image);
   FreeAndNil(AFont);
end;

end.

